POST
/sso/deleteDelete an SSO provider
Deletes an SSO provider from the workspace. Supply its providerId to identify the provider; the default provider cannot be deleted.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
The identifier of the SSO provider to delete.
providerIdstringrequired
ID of the SSO provider.
200Confirms that the SSO provider was deleted.
dataunknownoptional
Response payload
statusintegeroptional
successbooleanoptional
400Returned when you attempt to delete the default provider.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
403Returned when you do not have permission to delete the SSO provider.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Returned when the specified SSO provider does not exist.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 400 is returned when you attempt to delete the default provider. A 403 is returned when you do not have permission to delete SSO providers, and a 404 is returned when the provider does not exist. providerId is required and must be a UUID.